Package fr.gouv.vitam.storage.offers.tape.impl.drive

# Class MtTapeLibraryService

java.lang.Object
fr.gouv.vitam.storage.offers.tape.impl.drive.MtTapeLibraryService

All Implemented Interfaces:
  `TapeDriveCommandService`

public class MtTapeLibraryService extends Object implements TapeDriveCommandService

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BSFM`
  `static final String`
  `EOD`
  `static final String`
  `F`
  `static final String`
  `FSF`
  `static final String`
  `OFFLINE`
  `static final String`
  `REWIND`
  `static final String`
  `STATUS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MtTapeLibraryService(TapeDriveConf tapeDriveConf)`
  `MtTapeLibraryService(TapeDriveConf tapeDriveConf, ProcessExecutor processExecutor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `eject()`
  Rewind and eject the tape
  `void`
  `goToEnd()`
  EOD end of data
  `void`
  `move(int position, boolean isBackward)`
  fsf / bsfm
  `void`
  `rewind()`
  Go to start
  `TapeDriveSpec`
  `status()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### F

    public static final String F
    See Also:
      - Constant Field Values

  - ### STATUS

    public static final String STATUS
    See Also:
      - Constant Field Values

  - ### FSF

    public static final String FSF
    See Also:
      - Constant Field Values

  - ### BSFM

    public static final String BSFM
    See Also:
      - Constant Field Values

  - ### REWIND

    public static final String REWIND
    See Also:
      - Constant Field Values

  - ### EOD

    public static final String EOD
    See Also:
      - Constant Field Values

  - ### OFFLINE

    public static final String OFFLINE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MtTapeLibraryService

    public MtTapeLibraryService(TapeDriveConf tapeDriveConf)

  - ### MtTapeLibraryService

    public MtTapeLibraryService(TapeDriveConf tapeDriveConf, ProcessExecutor processExecutor)

- ## Method Details

  - ### status

    public TapeDriveSpec status() throws TapeCommandException
    Specified by:
      `status` in interface `TapeDriveCommandService`
    Returns:
    Throws:
      `TapeCommandException` - on command failure

  - ### move

    public void move(int position, boolean isBackward) throws TapeCommandException
    Description copied from interface: `TapeDriveCommandService`
    fsf / bsfm
    Specified by:
      `move` in interface `TapeDriveCommandService`
    Parameters:
      `position` -
      `isBackward` -
    Throws:
      `TapeCommandException` - on command failure

  - ### rewind

    public void rewind() throws TapeCommandException
    Description copied from interface: `TapeDriveCommandService`
    Go to start
    Specified by:
      `rewind` in interface `TapeDriveCommandService`
    Throws:
      `TapeCommandException`

  - ### goToEnd

    public void goToEnd() throws TapeCommandException
    Description copied from interface: `TapeDriveCommandService`
    EOD end of data
    Specified by:
      `goToEnd` in interface `TapeDriveCommandService`
    Throws:
      `TapeCommandException` - on command failure

  - ### eject

    public void eject() throws TapeCommandException
    Description copied from interface: `TapeDriveCommandService`
    Rewind and eject the tape
    Specified by:
      `eject` in interface `TapeDriveCommandService`
    Throws:
      `TapeCommandException` - on command failure